Name:           obs-service-py_build
Version:        0.0.3
Release:        0
Summary:        Obs service that will run python -m build
License:        GPL-3.0-or-later
URL:            https://github.com/huakim-tyk/%{name}
Group:          Development/Tools/Building
BuildArch:      noarch
BuildRequires:  rpm_macro(_obs_service_dir)
Requires:       obs-service-run
Requires:       python3-build
Requires:       python3-hatchling
Requires:       python3-setuptools
Requires:       python3-setuptools_scm
Requires:       python3-toml
Requires:       python3-wheel
Requires:       python3-poetry
Requires:       python3-pdm
Requires:       python3-hatch-vcs
Requires:       python3-flit-core
Source0:        py_build
Source1:        py_build.service
%description
%{summary}.

%install
%define file %{_obs_service_dir}/py_build
%define script %{buildroot}%{file}
mkdir -p %{buildroot}%{_obs_service_dir}

cp %{SOURCE0} %{script}
cp %{SOURCE1} %{script}.service

%post
%postun

%files
%attr(755, root, root) %{file}
%attr(644, root, root) %{file}.service

%changelog
